<?php
/**
 * Takes advantage of all calls to the plugin from RAIDBOXES
 */

require_once('includes/include.php');

$task = $_POST['task'];

$migrationManager = new MigrationManager();
//
if ($migrationManager->is_API_allowed()) {
    switch ($task) {
        case 'size':
            $fileManager = new FileManager();
            echo $fileManager->fetch_size($root_dir);
            break;
        case 'data_list':
            $fileManager = new FileManager();
            $fileManager->fetch_list($root_dir);
            break;
        case 'prefix':
            $migrationManager->get_prefix();
            break;
        case 'download':
            $migrationManager->set_migration_status($migrationManager::STATUS_DOWNLOAD);
            $fileManager = new FileManager();
            $fileManager->send_files();
            break;
        case 'db_list':
            $databaseManager = new DatabaseManager();
            $databaseManager->get_tables();
            break;
        case 'dump_table':
            $databaseManager = new DatabaseManager();
            $databaseManager->dump_table();
            break;
        case 'stop':
            $migrationManager->end_migration();
    }
} else {
    print $migrationManager->return_error('AUTH');
}


