<?php

class DatabaseManager {

    public function get_tables() {
        global $wpdb;

	    $tables = $wpdb->get_results('SHOW TABLES');
        foreach ($tables as $table) {
        	$table_name = $table->{"Tables_in_$wpdb->dbname"};
        	if ( strpos($table_name, $wpdb->prefix) !== false ) {
		        echo $table_name;
		        echo("\n");
	        }

        }
    }

    public function dump_table() {

        global $wpdb;
	    $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);

        $table_name = $_POST['table'];
        $table_name = trim($table_name);
        $table_name = $mysqli->real_escape_string($table_name);


        $limit = 50;

        $schema = $wpdb->get_row('SHOW CREATE TABLE ' . $table_name, ARRAY_A);
        echo($schema['Create Table'] . ';' . PHP_EOL);

        $query = sprintf('SELECT COUNT(*) as rows FROM %s', $table_name);

        $count_rows = $wpdb->get_results( $query , ARRAY_A );
        $runs = $count_rows[0]['rows']/$limit;

        for ($i = 0; $i <= $runs; $i++) {

            $start_row = $limit*$i;


            $query = $wpdb->prepare('SELECT * FROM '. $table_name . ' LIMIT %d,%d' , $start_row, $limit);

            $rows = $wpdb->get_results($query, ARRAY_A);
            if( $rows ) {
                foreach ($rows as $row => $fields) {
	                $insert_string = 'INSERT INTO ' . $table_name . ' VALUES ';
	                echo ($insert_string);

                    $line = '';

                    foreach ($fields as $key => $value) {
                        $value = $mysqli->real_escape_string($value);
                        if ($value === NULL) {
                            $line .= 'NULL' . ',';
                        } else {
                            $line .= "'" . $value . "',";
                        }
                    }
                    $line = '(' . rtrim($line, ',') . ')';

                    echo($line);
	                echo('; ' . PHP_EOL);
	                ob_flush();
	                flush();
                }
            }
        }
    }

 /*   public function trick_dump() {
        //use for setting specific values to null or something else

        global $wpdb;
        $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);

        $table_name = $_POST['table'];
        $table_name = trim($table_name);
        $table_name = $mysqli->real_escape_string($table_name);


        $limit = 50;

        $schema = $wpdb->get_row('SHOW CREATE TABLE' . $table_name, ARRAY_A);
        echo($schema['Create Table'] . ';' . PHP_EOL);

        $query = sprintf('SELECT COUNT(*) as rows FROM %s', $table_name);

        $count_rows = $wpdb->get_results( $query , ARRAY_A );
        $runs = $count_rows[0]['rows']/$limit;

        for ($i = 0; $i <= $runs; $i++) {

            $start_row = $limit*$i;


            $query = $wpdb->prepare('SELECT * FROM '. $table_name . ' LIMIT %d,%d' , $start_row, $limit);

            $rows = $wpdb->get_results($query, ARRAY_A);
            if( $rows ) {
                foreach ($rows as $row => $fields) {
                    $counter = 0;
                    $insert_string = 'INSERT INTO ' . $table_name . ' VALUES ';
                    echo ($insert_string);

                    $line = '';

                    foreach ($fields as $key => $value) {

                        if ($counter == 0) {
                            $line .= "NULL";
                        }
                        else {
                            $value = $mysqli->real_escape_string($value);
                            if ($value === NULL) {
                                $line .= 'NULL' . ',';
                            } else {
                                $line .= "'" . $value . "',";
                            }
                        }
                        $counter++;
                    }
                    $line = '(' . rtrim($line, ',') . ')';

                    echo($line);
                    echo('; ' . PHP_EOL);
                    ob_flush();
                    flush();
                }
            }
        }
    } */

}